Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.user.service
Class SimulatedUserService

    java.lang.Object
      lbg.user.service.SimulatedUserService

All Implemented Interfaces:
  UserHandle, UserService

    public class SimulatedUserService

extends java.lang.Object
implements UserService

Author:
  Cyril Briquet

Constructor Summary
`protected` | `SimulatedUserService(UserAgent owner_user)`

Method Summary
`UserHandle` | `createHandle()`
`java.lang.String` | `id()`
`void` | `notifyCompletedJob(Task t)`
`void` | `notifyCompletedTask(Task t)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimulatedUserService

    protected SimulatedUserService(UserAgent owner_user)
                            throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createHandle

    public UserHandle createHandle()
                            throws GridException

  Specified by:
    `createHandle` in interface `UserService`
  Throws:
    `GridException`

### id

    public java.lang.String id()

  Specified by:
    `id` in interface `UserHandle`

### notifyCompletedTask

    public void notifyCompletedTask(Task t)
                             throws GridException

  Specified by:
    `notifyCompletedTask` in interface `UserHandle`
  Throws:
    `GridException`

### notifyCompletedJob

    public void notifyCompletedJob(Task t)
                            throws GridException

  Specified by:
    `notifyCompletedJob` in interface `UserHandle`
  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.